%define api_version     2.4
%define lib_major	1
%define lib_name	%mklibname soup- %{api_version} %{lib_major}
%define develname %mklibname -d soup- %{api_version} 
%define build_check     0
%define build_doc       0
%{?_with_check: %{expand: %%global build_check 1}}

%define subrel 2

Summary: SOAP (Simple Object Access Protocol) implementation
Name: libsoup
Version: 2.32.2
Release: %mkrel 4
License: LGPLv2
Group: System/Libraries
URL: http://www.gnome.org/
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0: libsoup-2.25.5-linking.patch
Patch1: libsoup-CVE-2011-2524.patch
Patch2: libsoup-CVE-2012-2132.patch
BuildRequires: glib2-devel
BuildRequires: gnutls-devel
BuildRequires: sqlite3-devel
BuildRequires: libproxy-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libGConf2-devel
BuildRequires: gobject-introspection-devel >= 0.9.5
BuildRequires: libxml2-devel
%if %{build_doc}
BuildRequires: gtk-doc
%endif
%if %build_check
#gw for running checks
BuildRequires: apache-mod_ssl apache-mod_proxy apache-mod_php php-xmlrpc
%endif

%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

%package -n %{lib_name}
Summary:	Libraries for soup
Group:		System/Libraries
Conflicts:	gir-repository < 0.6.5-12.1

%description -n %{lib_name}
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains libraries used by soup.

%package -n %develname
Summary:	Development libraries, header files and utilities for soup
Group:		Development/GNOME and GTK+
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	glib2-devel
#gw .la dep:
Requires:	eggdbus-devel
Conflicts:	%{_lib}soup-2.2_7-devel
Obsoletes:	%mklibname -d soup- 2.2 8
Conflicts:	gir-repository < 0.6.5-12.1

%description -n %develname
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains the files necessary to develop applications with soup.

%prep
%setup -q
%apply_patches
autoreconf -fi

%build
%configure2_5x \
%if %build_check
 --with-apache-module-dir=/etc/httpd/*modules \
%endif
%if %{build_doc}
 --enable-gtk-doc
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%if %build_check
%check
make check
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/*.so.%{lib_major}*
%_libdir/girepository-1.0/Soup-%{api_version}.typelib
%_libdir/girepository-1.0/SoupGNOME-%{api_version}.typelib

%files -n %develname
%defattr(-,root,root,-)
%doc README COPYING AUTHORS NEWS
%{_datadir}/gtk-doc/html/%{name}-%api_version
%_datadir/gir-1.0/Soup-%{api_version}.gir
%_datadir/gir-1.0/SoupGNOME-%{api_version}.gir
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog

* Fri May 11 2012 fwang <fwang> 2.32.2-4.2.mga1
+ Revision: 235262
- add novell patch to fix CVE-2012-2132.patch: libsoup does not handle SSL certs

  + dmorgan <dmorgan>
    - Add patch for CVE-2011-2524

  + ahmad <ahmad>
    - dbus-glib-devel is already required by libGConf2-devel
    - libtasn1-devel is already required by gnutls-devel
    - only require gtk-doc when building the docs

* Thu Mar 24 2011 boklm <boklm> 2.32.2-4.mga1
+ Revision: 76182
- rebuild for bug #497

* Wed Mar 23 2011 ennael <ennael> 2.32.2-3.mga1
+ Revision: 76114
- bump release for rebuild

  + dmorgan <dmorgan>
    - Fix buildrequires
    - Revert to libsoup 2.32.2

* Mon Mar 07 2011 dmorgan <dmorgan> 2.33.90-1.mga1
+ Revision: 66311
- New version 2.33.90

* Sat Jan 15 2011 blino <blino> 2.32.2-2.mga1
+ Revision: 18832
- remove old ldconfig scriptlets
- imported package libsoup

